#ifndef _H_UTILS_
#define _H_UTILS_

#include <stdint.h>

extern uint32_t rval;

void nops(int tv);
uint32_t rand32();
uint32_t randpw();
void memcopy(void *dst, const void *src, int len);
void __u32divmod(uint32_t val, uint32_t den,
		uint32_t *result, uint32_t *rem);
uint16_t crc16(uint8_t *ptr, int len);
uint32_t swab32(uint32_t val);
uint32_t strtou32(const char *str);
int strequ(const char *str1, const char *str2);
void strcopy(char *dst, const char *src);

#endif /* _H_UTILS_ */

