# start code for AT91RM9200

#define MEMEND		0x00004000

.section .text

.global zentry
zentry:

	ldr	pc, = reset		/* Reset */
	ldr	pc, = undefvec		/* Undefined Instruction */
	ldr	pc, = swivec		/* Software Interrupt */
	ldr	pc, = pabtvec		/* Prefetch Abort */
	ldr	pc, = dabtvec		/* Data Abort */
.word	0x02118018
	ldr	pc, = aicvec		/* IRQ : read the AIC */
	ldr	pc, = fiqvec		/* FIQ */

.section .text

.word 0
.word 0

undefvec:
swivec:
pabtvec:
dabtvec:
rsvdvec:
aicvec:
fiqvec:
	bl	zboot_abort

reset:
	msr	CPSR_c, #0xd3
	ldr	sp, = MEMEND

	mrc	p15, 0, r0, c1, c0, 0
	ldr	r3, = 0x00000080
	ldr	r4, = 0xC0000000
	bic	r0, r0, r3
	orr	r0, r0, r4
	mcr	p15, 0, r0, c1, c0, 0

	bl	zboot_init
	bl	zboot_start

zloop:
	b	zloop

